/**
 * \brief Interface pro pomocne funkce.
 * \file misc.h
 * \date Feb 1, 2015
 * \author Martin Prudek
 */

#ifndef MISC_H_
#define MISC_H_

#include <semaphore.h>

sem_t thd_par_sem; ///< semafor pro detekci zpracovani parametru noveho vlakna

/*
 * struktura predana novym vlaknum
 */
struct thread_param{
	int sch_policy;
	int sch_prior;
};

/**
 * nastavi prioritu a scheduler podle parametru
 * na konci vrati semafor
 * \param pointer na struct thread_sched_param
 */
extern void set_priority(void *);


#endif /* MISC_H_ */
